Package org.firebirdsql.jca

## Class FBManagedConnectionMetaData

- java.lang.Object
- - org.firebirdsql.jca.FBManagedConnectionMetaData

All Implemented Interfaces:
  `javax.resource.spi.ManagedConnectionMetaData`

    public class FBManagedConnectionMetaData
    extends java.lang.Object
    implements javax.resource.spi.ManagedConnectionMetaData

The class `FBManagedConnectionMetaData` implements `javax.resource.sqi.ManagedConnectionMetaData`, providing almost no useful information.

Version:
  1.0
Author:
  David Jencks

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getEISProductName()` Returns Product name of the underlying EIS instance connected through the `ManagedConnection`.
`java.lang.String` `getEISProductVersion()` Returns product version of the underlying EIS instance connected through the `ManagedConnection`.
`int` `getMaxConnections()` Returns maximum limit on number of active concurrent connections that an EIS instance can support across client processes.
`java.lang.String` `getUserName()` Returns name of the user associated with the `ManagedConnection` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getEISProductName

    public java.lang.String getEISProductName()
                                       throws javax.resource.ResourceException

Returns Product name of the underlying EIS instance connected through the `ManagedConnection`.

Specified by:
  `getEISProductName` in interface `javax.resource.spi.ManagedConnectionMetaData`
Returns:
  Product name of the EIS instance.
Throws:
  `javax.resource.ResourceException` - generic exception

#### getEISProductVersion

    public java.lang.String getEISProductVersion()
                                          throws javax.resource.ResourceException

Returns product version of the underlying EIS instance connected through the `ManagedConnection`.

Specified by:
  `getEISProductVersion` in interface `javax.resource.spi.ManagedConnectionMetaData`
Returns:
  Product version of the EIS instance
Throws:
  `javax.resource.ResourceException` - generic exception

#### getMaxConnections

    public int getMaxConnections()
                          throws javax.resource.ResourceException

Returns maximum limit on number of active concurrent connections that an EIS instance can support across client processes. If an EIS instance does not know about (or does not have) any such limit, it returns a 0.

Specified by:
  `getMaxConnections` in interface `javax.resource.spi.ManagedConnectionMetaData`
Returns:
  Maximum limit for number of active concurrent connections
Throws:
  `javax.resource.ResourceException` - generic exception

#### getUserName

    public java.lang.String getUserName()
                                 throws javax.resource.ResourceException

Returns name of the user associated with the `ManagedConnection` instance. The name corresponds to the resource principal under whose whose security context, a connection to the EIS instance has been established.

Specified by:
  `getUserName` in interface `javax.resource.spi.ManagedConnectionMetaData`
Returns:
  name of the user
Throws:
  `javax.resource.ResourceException` - generic exception